Permalink
Browse files

bump NDK APP_PLATFORM to android-16 (#19830)

Summary:
This PR will bump NDK APP_PLATFORM to android-16. Below is the excerpt from NDK documentation

> This variable contains the minimum Android platform version you want to support. For example, a value of android-15 specifies that your library uses APIs that are not available below Android 4.0.3 (API level 15) and can't be used on devices running a lower platform version. For a complete list of platform names and corresponding Android system images, see Android NDK Native APIs.
Closes #19830

Differential Revision: D8620017

Pulled By: hramos

fbshipit-source-id: 0b5578f130938e3ddae03fb855784193183243cf
  • Loading branch information...
dulmandakh authored and grabbou committed Jun 26, 2018
1 parent c159447 commit 5ae97990418db613cd67b1fb9070ece976d17dc7
Showing with 1 addition and 1 deletion.
  1. +1 −1 ReactAndroid/src/main/jni/Application.mk
@@ -1,7 +1,7 @@
APP_BUILD_SCRIPT := Android.mk
APP_ABI := armeabi-v7a x86
APP_PLATFORM := android-9
APP_PLATFORM := android-16
APP_MK_DIR := $(dir $(lastword $(MAKEFILE_LIST)))

1 comment on commit 5ae9799

@fungilation

This comment has been minimized.

fungilation commented on 5ae9799 Jul 7, 2018

Moving NDK support to r17 soon? Because it RN android apps doesn't build on 17, and 17 is installed by Android Studio with no managed way to select a different version like 16.

Please sign in to comment.